Subject: Re: git-p4: commits are visible in history after 'git p4 clone', but not a single file present

From: Luke Diamand <[email-masked]>
Date: Mon, 11 Jun 2012 23:46:08 +0100

On 11/06/12 20:16, Ilya Dogolazky wrote:
> Hi Luke!
> 
> 06/11/2012 06:28 PM, ext Luke Diamand написал:
>> If you do something like "p4 describe 17473" what does that show?
> First I see a line containing the change number, my colleague's name and 
> date, then the commit title (identical to one printed by "git log"), 
> then a list of files [every line begins with "... //xxx/yyy/"], then the 
> word "Differences" and then something looking very much like output of 
> 'diff' command (the actual commit differences).
> 
>> Are the files changed all contained with //kalma/xxx/yyy?
> Yes, they are.
> 
>> It could be that there's a p4 version problem going on - which version
>> of p4 are you
>> using?
> The output of 'p4 -V' contains "Rev. P4/LINUX26X86/2012.1/459601 
> (2012/05/11)". That's probably the version of my command line client.
> 
> The output of "p4 info" contains "P4D/LINUX26X86_64/2011.1/428451 
> (2012/03/08)" --- that's probably the version of the server.
> 
> The version of git installation (by debian package) is 1:1.7.10-1 (as 
> reported by "dpkg -l git"). The package contains the file 
> "/usr/share/doc/git/contrib/fast-import/git-p4" which I copied to 
> $HOME/bin/git-p4 in order to have in $PATH and with executable bit. 
> Could it be, that I did something wrong here by making this manually?

That version of git-p4 seems different to the one in the repo. I think it's just a bit older.

> 
>  > And which platform are you using?
> Debian GNU/Linux.
> 
> I hope I provided all the needed information, of not please ask for more.

Can you try an experiment please. Try running the following commands. When I run them I get out a file that looks correct.

#!/bin/sh
export P4PORT=localhost:1234
mkdir db cli
(cd db && p4d &)
sleep 2
(cd cli && EDITOR=: p4 client && date >foo.c && p4 add foo.c && p4 submit -d 'x')
git-p4 clone //depot@all

I've been trying out Debian's 1.7.10.1 and it seems fine, other than having a slightly old version of git-p4 and it not being installed properly.

> Cheers,
> Ilya